Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225781 - CVE-2007-0456 Multiple Wireshark issues (CVE-2007-0457, CVE-2007-0458, CVE-2007-0459)
Summary: CVE-2007-0456 Multiple Wireshark issues (CVE-2007-0457, CVE-2007-0458, CVE-20...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: wireshark
Version: 5.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard: impact=low,source=vendorsec,reported=...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:41 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0066
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 16:35:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0066 normal SHIPPED_LIVE Low: wireshark security update 2007-03-14 16:35:07 UTC

Description Josh Bressers 2007-01-31 18:41:15 UTC
+++ This bug was initially created as a clone of Bug #225689 +++

Wireshark 0.99.5 is set to be released in a few days, it fixes four flaws, all
of which will only result in a crash:

CVE-2007-0459
  The TCP dissector could hang or crash while reassembling HTTP packets.
  Fixed in: r19859
  Bug IDs: 1200
  Versions affected: 0.99.2 to 0.99.4

CVE-2007-0459
  The HTTP dissector could crash.
  Fixed in: r19899
  Bug IDs: None
  Versions affected: 0.99.3 to 0.99.4

CVE-2007-0457
  On some systems, the IEEE 802.11 dissector could crash.
  Fixed in: r20126
  Bug IDs: None
  Versions affected: 0.10.14 to 0.99.4

CVE-2007-0456
  On some systems, the LLT dissector could crash.
  Fixed in: r20007
  Bug IDs: None
  Versions affected: 0.99.3 to 0.99.4

Comment 1 Josh Bressers 2007-02-02 19:19:35 UTC
This is now public:
http://www.wireshark.org/security/wnpa-sec-2007-01.html

Comment 7 Red Hat Bugzilla 2007-03-14 16:35:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0066.html



Note You need to log in before you can comment on or make changes to this bug.